TAILWIND := ./bin/tailwindcss

bin/tailwindcss:
	@mkdir -p bin
	curl -sLo bin/tailwindcss https://github.com/tailwindlabs/tailwindcss/releases/latest/download/tailwindcss-linux-x64
	chmod +x bin/tailwindcss

css-build: bin/tailwindcss
	$(TAILWIND) -i src/beanflows/static/css/input.css -o src/beanflows/static/css/output.css --minify

css-watch: bin/tailwindcss
	$(TAILWIND) -i src/beanflows/static/css/input.css -o src/beanflows/static/css/output.css --watch
